DuplicateAsNewVersion
const url = 'https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/duplicate-as-new-version';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"productCode":"example","productVersion":"example","name":"example","description":"example","externalId":"example","productNamespace":"example","parentProductId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","applicationScopes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/duplicate-as-new-version \ --header 'Content-Type: application/json' \ --data '{ "productCode": "example", "productVersion": "example", "name": "example", "description": "example", "externalId": "example", "productNamespace": "example", "parentProductId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "applicationScopes": [ "example" ] }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Request Body required
Section titled “Request Body required ”object
Unique internal code of the product. Must be unique in combination with string AddProductDto.ProductVersion.
Version of the product visible to the end user, recommended in Semantic Versioning (SemVer) format, e.g., “Major.Minor.Patch”. Optional build information may follow a plus sign, e.g., “2.1.3+build.12345”.
Public-facing name of the product used for display purposes.
Description of the product as displayed in the customer portal.
Optional external identifier, such as a CMS or ERP ID.
Optional namespace used to group products logically.
Optional parent product ID when this product represents a new version in the same lineage.
Example generated
{ "productCode": "example", "productVersion": "example", "name": "example", "description": "example", "externalId": "example", "productNamespace": "example", "parentProductId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "applicationScopes": [ "example" ]}object
Unique internal code of the product. Must be unique in combination with string AddProductDto.ProductVersion.
Version of the product visible to the end user, recommended in Semantic Versioning (SemVer) format, e.g., “Major.Minor.Patch”. Optional build information may follow a plus sign, e.g., “2.1.3+build.12345”.
Public-facing name of the product used for display purposes.
Description of the product as displayed in the customer portal.
Optional external identifier, such as a CMS or ERP ID.
Optional namespace used to group products logically.
Optional parent product ID when this product represents a new version in the same lineage.
Example generated
{ "productCode": "example", "productVersion": "example", "name": "example", "description": "example", "externalId": "example", "productNamespace": "example", "parentProductId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "applicationScopes": [ "example" ]}object
Unique internal code of the product. Must be unique in combination with string AddProductDto.ProductVersion.
Version of the product visible to the end user, recommended in Semantic Versioning (SemVer) format, e.g., “Major.Minor.Patch”. Optional build information may follow a plus sign, e.g., “2.1.3+build.12345”.
Public-facing name of the product used for display purposes.
Description of the product as displayed in the customer portal.
Optional external identifier, such as a CMS or ERP ID.
Optional namespace used to group products logically.
Optional parent product ID when this product represents a new version in the same lineage.
Example generated
{ "productCode": "example", "productVersion": "example", "name": "example", "description": "example", "externalId": "example", "productNamespace": "example", "parentProductId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "applicationScopes": [ "example" ]}Responses
Section titled “ Responses ”OK
object
Indicates the current product status in its lifecycle.
Unique identifier of the provider associated with this product.
Public-facing name of the product used for display purposes.
Description of the product as displayed in the customer portal.
Unique internal code of the product. Must be unique in combination with string ProductDto.ProductVersion.
Version of the product visible to the end user, recommended in Semantic Versioning (SemVer) format, e.g., “Major.Minor.Patch”. Optional build information may follow a plus sign, e.g., “2.1.3+build.12345”.
Expiration date, after which the product is no longer available for deployment. Null if no expiration is set.
Optional external identifier, such as a CMS or ERP ID.
Optional namespace used to group products logically.
Collection of features that define additional functionalities of the product.
object
object
Assets associated with the product for usage monitoring.
object
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
Lightweight metric definitions for this product.
object
Additional product information, including URLs and revision details.
object
Custom properties for storing additional information associated with the product.
object
object
object
Indicates if the product is locked for editing. Locked products cannot be modified.
Additional metadata about the product stored as a JSON string. May include technical specifications, system requirements, or custom attributes.
List of application scopes that are authorized to use this product. Application scopes define which application types or deployment targets can activate this product. If null or empty, any application can use this product (no scope restrictions).
Parent product ID if this product belongs to an inherited version lineage.
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": 1, "providerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "productCode": "example", "productVersion": "example", "expirationDate": "2026-04-15T12:00:00Z", "externalId": "example", "productNamespace": "example", "features": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCatalogId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "featurePath": "example", "moduleName": "example", "name": "example", "description": "example", "usageMetric": "example", "units": "example", "featureType": 1, "enumOptions": [ { "value": "example", "description": "example" } ], "value": "example", "version": "example", "isEnabled": true, "includeInLicenseToken": true, "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "canModifyValueOnEntitlement": true, "meterAggregationType": "example", "visibility": 1, "isDeleted": true, "creationTimeStamp": "2026-04-15T12:00:00Z", "lastUpdateTimeStamp": "2026-04-15T12:00:00Z", "revisionNumber": 1 } ], "monitoredAssets": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "unit": "example", "category": "example", "tags": [ "example" ], "numberFormat": "example", "metricType": 1, "meteredUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "meteredUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "suspendedUntilAt": "2026-04-15T12:00:00Z", "lastReportedOverageSeverityStatus": 1, "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ], "consumptionPeriod": "example", "accumulationMethod": 1 }, "balanceUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "balanceUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "creditsUsed": 1, "totalCredits": 1, "cumulativeCreditsUsed": 1, "unit": "example", "numberFormat": "example", "lastDeposit": "2026-04-15T12:00:00Z", "usageQuota": [ { "endUsage": 1, "name": "example", "quotaUsageLevel": 1 } ], "suspendedUntilAt": "2026-04-15T12:00:00Z", "overageSeverityStatus": 1, "initialCreditAmount": 1, "isUnlimitedCredits": true, "autoBalanceCronSchedule": "example", "lastAutoBalanceDate": "2026-04-15T12:00:00Z", "shouldAutoBalanceTransferCurrentCredits": true, "maxAutoBalanceCreditTransferAmount": 1, "autoBalanceCreditAmount": 1 }, "allowedBackDatingTolerance": "example" } ], "metrics": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "metricType": 1, "unit": "example", "category": "example", "numberFormat": "example" } ], "productInformation": { "displayVersion": "example", "additionalInformation": "example", "revisionInformation": "example", "downloadUrl": "example", "informationUrl": "example", "supportUrl": "example" }, "propertyValues": { "additionalProperty": { "key": "example", "value": "example", "metadata": [ { "key": "example", "value": "example" } ] } }, "isDeleted": true, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "revisionNumber": 1, "isLocked": true, "productMetaData": "example", "applicationScopes": [ "example" ], "parentProductId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}